# ob_get_clean

(PHP 4 >= 4.3.0, PHP 5, PHP 7)

ob_get_clean — Get current buffer contents and delete current output buffer

### Description

ob_get_clean ( void ) : string

Gets the current buffer contents and delete current output buffer.

ob_get_clean() essentially executes both ob_get_contents() and ob_end_clean().

The output buffer must be started by ob_start() with PHP_OUTPUT_HANDLER_CLEANABLE and PHP_OUTPUT_HANDLER_REMOVABLE flags. Otherwise ob_get_clean() will not work.

### Return Values

Returns the contents of the output buffer and end output buffering. If output buffering isn't active then `FALSE` is returned.

### Examples

Example #1 A simple ob_get_clean() example

`<?php
ob_start();
echo "Hello World";
$out = ob_get_clean();
$out = strtolower($out);
var_dump($out);
?>`

The above example will output:

    string(11) "hello world"

### See Also

- ob_get_contents() - Return the contents of the output buffer
- ob_start() - Turn on output buffering